DECLARE @SystemUserIDNumber INT
SELECT TOP 1 @SystemUserIDNumber = UserIdNumber FROM Personel WITH (NOLOCK) WHERE UserTypeNumber = 2

UPDATE PersonelAccess
SET Access = 1
WHERE UserIdNumber = @SystemUserIDNumber
AND AreaFunctionNumber = 30
AND AreaNumber = 4
AND Access <> 1